package com.cultural.heritage.model.dto.good.service;

import com.cultural.heritage.model.dto.appointment.AppointmentDateAddRequest;
import com.cultural.heritage.model.dto.good.GoodAddRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
@Schema(description = "服务类商品添加请求体", requiredProperties = {"appointmentDateAddRequestList"})
public class ServiceGoodAddRequest extends GoodAddRequest implements Serializable {


    /**
     * 未来几天的预约详情
     */
    @Schema(description = "未来n个月的预约详情")
    private List<AppointmentDateAddRequest> appointmentDateAddRequestList;



    @Serial
    private static final long serialVersionUID = 1L;
}
