package com.cultural.heritage.model.vo.order;


import com.cultural.heritage.model.dto.snapshot.AddressSnapshot;
import com.cultural.heritage.model.dto.snapshot.ContactsSnapshot;
import com.cultural.heritage.model.dto.snapshot.CouponSnapshot;
import com.cultural.heritage.model.entity.OrderItems;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class OrderVO implements Serializable {


    /**
     * 订单id
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;


    /**
     * 用户昵称
     */
    private String userName;

    /**
     * 订单编号
     */
    private String orderNumber;


    /**
     * 地址信息快照
     */
    private AddressSnapshot addressSnapshot;


    /**
     * 联系人信息快照
     */
    private ContactsSnapshot contactsSnapshot;


    /**
     * 优惠券信息快照
     */
    private CouponSnapshot couponSnapshot;


    /**
     * 订单总金额
     */
    private Double totalAmount;

    /**
     * 订单状态
     */
    private String orderStatus;

    /**
     * 订单备注
     */
    private String note;


    /**
     * 订单明细信息
     */
    private List<OrderItems> orderItemList;


    /**
     * 订单创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;



    @Serial
    private static final long serialVersionUID = 1L;
}