package com.cultural.heritage.service.address.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cultural.heritage.common.ErrorCode;
import com.cultural.heritage.exception.ThrowUtils;
import com.cultural.heritage.mapper.ContactsMapper;
import com.cultural.heritage.model.entity.Contacts;
import com.cultural.heritage.service.address.ContactsService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ContactsServiceImpl extends ServiceImpl<ContactsMapper, Contacts> implements ContactsService {


    @Override
    public void verifyIsDefault(Contacts contacts) {
        Integer isDefault = contacts.getIsDefault();
        Long userId = contacts.getUserId();
        List<Contacts> list = this.getUserAddressById(userId);
        if (isDefault == 1) {
            list.forEach(item -> item.setIsDefault(0));
        }
        boolean result = this.updateBatchById(list);
        ThrowUtils.throwIf(!result, ErrorCode.OPERATION_ERROR);
    }

    @Override
    public List<Contacts> getUserAddressById(Long userId) {
        QueryWrapper<Contacts> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("userId", userId);
        List<Contacts> list = this.list(queryWrapper);
        return list;
    }
}
